The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> pthread_spin_unlock - unlock a spin lock object (ADVANCED REALTIME THREADS)

#### SYNOPSIS

> ``[THR SPI] #include <pthread.h>
> int pthread_spin_unlock(pthread_spinlock_t *`lock`);``
> `
> `

#### DESCRIPTION

> The pthread_spin_unlock() function shall release the spin lock referenced by lock which was locked via the pthread_spin_lock() or pthread_spin_trylock() functions. The results are undefined if the lock is not held by the calling thread. If there are threads spinning on the lock when pthread_spin_unlock() is called, the lock becomes available and an unspecified spinning thread shall acquire the lock.

> The results are undefined if this function is called with an uninitialized thread spin lock.

#### RETURN VALUE

> Upon successful completion, the pthread_spin_unlock() function shall return zero; otherwise, an error number shall be returned to indicate the error.

#### ERRORS

> The pthread_spin_unlock() function may fail if:

> [EINVAL]
>   An invalid argument was specified.
> [EPERM]
>   The calling thread does not hold the lock.

> This function shall not return an error code of [EINTR].

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The pthread_spin_unlock() function is part of the Spin Locks option and need not be provided on all implementations.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> pthread_spin_destroy(), pthread_spin_lock(), the Base Definitions volume of IEEE Std 1003.1-2001, <pthread.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from IEEE Std 1003.1j-2000.

> In the SYNOPSIS, the inclusion of <sys/types.h> is no longer required.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]